## org.metaabm.act.validation
Interface AInputValidator

    public interface AInputValidator

A sample validator interface for `AInput`. This doesn't really do anything, and it's not a real EMF artifact. It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended. This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.

Method Summary
`boolean` `validate()`
`boolean` `validateLiteral(ALiteral value)`
`boolean` `validateSelected(ASelect value)`
`boolean` `validateSink(ASink value)`
`boolean` `validateValue(IValue value)`

Method Detail

### validate

    boolean validate()

### validateSink

    boolean validateSink(ASink value)

### validateSelected

    boolean validateSelected(ASelect value)

### validateLiteral

    boolean validateLiteral(ALiteral value)

### validateValue

    boolean validateValue(IValue value)